## Index

### Functions

- dpi
- extentToRectangle
- getBrowserLanguage
- hasCoarsePointingDevice
- isEventUsingCtrlKey

## Functions

### dpi

- dpi(): number

- - Defined in src/utils.js:244

  Return the screen DPI.

  #### Returns number

  The screen DPI.

### extentToRectangle

- extentToRectangle(extent: Extent): Coordinate[]

- - Defined in src/utils.js:228

  Takes an import('ol/extent').Extent and return an Array of ol.Coordinate representing a rectangle polygon.

  #### Parameters

  - ##### extent: Extent

    The extent.

  #### Returns Coordinate[]

  The Array of coordinate of the rectangle.

### getBrowserLanguage

- getBrowserLanguage(availableLanguages: string[]): string

- - Defined in src/utils.js:83

  #### Parameters

  - ##### availableLanguages: string[]

    Available languages.

  #### Returns string

  The "best" language code.

### hasCoarsePointingDevice

- hasCoarsePointingDevice(): boolean

- - Defined in src/utils.js:75

  Return whether the primary pointing device is coarse or 'false' if unsupported (Internet Explorer). See https://developer.mozilla.org/en-US/docs/Web/CSS/@media/pointer

  #### Returns boolean

### isEventUsingCtrlKey

- isEventUsingCtrlKey(evt: Event | KeyboardEvent): boolean

- - Defined in src/utils.js:38

  Return whether the passed event has the 'ctrl' key (or 'meta' key on Mac) pressed or not.

  #### Parameters

  - ##### evt: Event | KeyboardEvent

    Event.

  #### Returns boolean

Generated using TypeDoc